logtalk_allure_report(1)

NAME
logtalk_allure_report - Logtalk script for generating Allure reports

SYNOPSIS
logtalk_allure_report -v
logtalk_allure_report [-d tests] [-i results] [-o report] [-t title] [-p] [-s] [-- environment pairs]
logtalk_allure_report -h

DESCRIPTION
logtalk_allure_report is a script for generating Allure reports (version 2.26.0 or later). Requires running first the logtalk_tester script using the -f xunit (or -f xunit_net_v2) command-line option.

OPTIONS

-v  Print script version.

-d  The directory containing the tests (i.e., the directory where the logtalk_tester script was run; default is the current directory).

-i  Directory where to collect the test results (i.e., the xUnit reports) for generating the report (default is ./allure-results).

-o  Directory where the report is to be saved (default is ./allure-report). If the directory already exists and contains a previous report, its contents are deleted before generating the new report. If the directory exists, is not empty, and does not appear to contain a previous report, the script execution is terminated to prevent data loss.

-t  Report title (default is "Allure Report"; this option is ignored when using the -p option).

-p  Preprocess results but do not generate a report. Useful when the actual generation of the report is delegated to, e.g., a Docker service or a Jenkins plug-in.

-s  Generate a single file report.

--  Environment pairs (key1=value1 key2=value2 ...). Used to generate an environment.properties for adding additional information to the generated report.

-h  Provide help on script usage.

EXIT STATUS

0   Allure report successfully created.

1   Either the results directory does not exist or the report directory exists but it is not empty and does not contain a previous report.

EXAMPLES

Run all tests in the current directory and sub-directories using the GNU Prolog backend (saving the test results in the required xUnit format), generate the Allure report, and open the report for browsing:
    logtalk_tester -p gnu -f xunit
    logtalk_allure_report
    allure open

Set the title for the report and information on the backend used:
    logtalk_allure_report -t "My application tests report" -- Backend='GNU Prolog' Commit=f7a106e
    allure open

Save the processed test results and the report data to permanent directories so that the report shows tests run trends:
    logtalk_allure_report -i "$HOME/my_project/allure-results" -o "$HOME/my_project/allure_report"
    allure open "$HOME/my_project/allure_report"

IMPLEMENTATION NOTES
Tested using Allure 2.30.0.

SEE ALSO
The Allure website at https://allurereport.org/docs/

The Logtalk website at https://logtalk.org/

The Logtalk Handbook at $LOGTALKHOME/docs/handbook/index.html

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2025 Paulo Moura.